import type { Monitor } from './interface'
import { ADMIN as rePrefix } from '@/api/config/serviceName'
import http from '@/api'

/**
 * @name 被检设备管理模块
 */

//获取被检设备
export const getPqMonList = (params: Monitor.ReqPqMonParams) => {
  return http.post(`/pqMon/list`, params)
}

//添加被检设备
export const addPqMon = (params: Monitor.ResPqMon) => {
  return http.post(`/pqMon/add`, params)
}

//编辑被检设备
export const updatePqMon = (params: Monitor.ResPqMon) => {
  return http.post(`/pqMon/update`, params)
}

//删除被检设备
export const deletePqMon = (params: string[]) => {
  return http.post(`/pqMon/delete`, params)
}


